=== debian/changelog ===
ros-indigo-pybind11-catkin (2.2.3-3trusty) trusty; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Vladimir Ivan <v.ivan@ed.ac.uk>  Thu, 12 Jul 2018 13:44:58 -0000
