=== debian/control ===
Source: ros-indigo-pybind11-catkin
Section: misc
Priority: extra
Maintainer: Vladimir Ivan <v.ivan@ed.ac.uk>
Build-Depends: debhelper (>= 9.0.0), libeigen3-dev, python-dev, python-numpy, ros-indigo-catkin, ros-indigo-rospy
Homepage: 
Standards-Version: 3.9.2

Package: ros-indigo-pybind11-catkin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libeigen3-dev, python-dev, python-numpy, ros-indigo-rospy
Description: The pybind11 package
